

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.14. column_rename &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.15. config_delete" href="config_delete.html" />
    <link rel="prev" title="7.3.13. column_remove" href="column_remove.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/column_rename.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="config_delete.html" title="7.3.15. config_delete"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="column_remove.html" title="7.3.13. column_remove"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.14. </span><code class="docutils literal notranslate"><span class="pre">column_rename</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="column-rename">
<h1><span class="section-number">7.3.14. </span><code class="docutils literal notranslate"><span class="pre">column_rename</span></code><a class="headerlink" href="#column-rename" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.14.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">column_rename</span></code> コマンドはカラム名を変更します。</p>
<p>これは軽い操作です。名前とカラムオブジェクト間の関係を変更するだけです。カラムの値をコピーしません。</p>
<p>これは危険な操作です。 <code class="docutils literal notranslate"><span class="pre">column_rename</span></code> を実行している間、読み取り操作を含む全ての操作を停止しなければいけません。以下のケースが起こった場合、Groongaプロセスはクラッシュするかもしれません。</p>
<blockquote>
<div><ul class="simple">
<li><p>現在のカラム名で名前を変更しようとしているカラムにアクセスする操作（たとえば <code class="docutils literal notranslate"><span class="pre">select</span></code> ）を開始します。以降、現在のカラム名を <code class="docutils literal notranslate"><span class="pre">古いカラム名</span></code> と呼ぶことにします。これは、今、このカラム名を変更しようとしているからです。</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">column_rename</span></code> を実行します。 <code class="docutils literal notranslate"><span class="pre">select</span></code> は実行中です。</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">select</span></code> は古いカラム名で名前が変更されたカラムにアクセスします。しかし、カラムはすでに新しいカラム名に変更されているため、 <code class="docutils literal notranslate"><span class="pre">select</span></code> は古いカラム名でカラムを見つけることができません。このときGroongaプロセスがクラッシュするかもしれません。</p></li>
</ul>
</div></blockquote>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.14.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は3つです。</p>
<p>すべての引数は必須です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>column_rename table name new_name
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.14.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下は <code class="docutils literal notranslate"><span class="pre">column_rename</span></code> コマンドの簡単な使用例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Users TABLE_PAT_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Users score COLUMN_SCALAR Int32
# [[0, 1337566253.89858, 0.000355720520019531], true]
load --table Users
[
{&quot;_key&quot;: &quot;Alice&quot;,  &quot;score&quot;: 2},
{&quot;_key&quot;: &quot;Bob&quot;,    &quot;score&quot;: 0},
{&quot;_key&quot;: &quot;Carlos&quot;, &quot;score&quot;: -1}
]
# [[0, 1337566253.89858, 0.000355720520019531], 3]
column_rename Users score point
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_list Users
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         &quot;id&quot;,
#         &quot;UInt32&quot;
#       ],
#       [
#         &quot;name&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;path&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;type&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;flags&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;domain&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;range&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;source&quot;,
#         &quot;ShortText&quot;
#       ]
#     ],
#     [
#       256,
#       &quot;_key&quot;,
#       &quot;&quot;,
#       &quot;&quot;,
#       &quot;COLUMN_SCALAR&quot;,
#       &quot;Users&quot;,
#       &quot;ShortText&quot;,
#       []
#     ],
#     [
#       257,
#       &quot;point&quot;,
#       &quot;/tmp/groonga-databases/commands_column_rename.0000101&quot;,
#       &quot;fix&quot;,
#       &quot;COLUMN_SCALAR|PERSISTENT&quot;,
#       &quot;Users&quot;,
#       &quot;Int32&quot;,
#       []
#     ]
#   ]
# ]
select Users
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         3
#       ],
#       [
#         [
#           &quot;_id&quot;,
#           &quot;UInt32&quot;
#         ],
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;point&quot;,
#           &quot;Int32&quot;
#         ]
#       ],
#       [
#         1,
#         &quot;Alice&quot;,
#         2
#       ],
#       [
#         2,
#         &quot;Bob&quot;,
#         0
#       ],
#       [
#         3,
#         &quot;Carlos&quot;,
#         -1
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.14.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションでは <code class="docutils literal notranslate"><span class="pre">column_rename</span></code> の引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.14.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>すべての引数は必須です。</p>
<div class="section" id="table">
<h4><span class="section-number">7.3.14.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">table</span></code><a class="headerlink" href="#table" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>名前を変更したいカラムが所属するテーブルの名前を指定します。</p>
</div>
<div class="section" id="name">
<h4><span class="section-number">7.3.14.4.1.2. </span><code class="docutils literal notranslate"><span class="pre">name</span></code><a class="headerlink" href="#name" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>名前を変更するカラムの名前を指定します。</p>
</div>
<div class="section" id="new-name">
<h4><span class="section-number">7.3.14.4.1.3. </span><code class="docutils literal notranslate"><span class="pre">new_name</span></code><a class="headerlink" href="#new-name" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>新しいカラム名を指定します。</p>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.14.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, SUCCEEDED_OR_NOT]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">SUCCEEDED_OR_NOT</span></code></p>
<blockquote>
<div><p>コマンドの実行が成功するとtrueを返します。失敗するとfalseを返します。</p>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.14. <code class="docutils literal notranslate"><span class="pre">column_rename</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.14.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.14.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.14.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.14.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.14.4.1. 必須引数</a><ul>
<li><a class="reference internal" href="#table">7.3.14.4.1.1. <code class="docutils literal notranslate"><span class="pre">table</span></code></a></li>
<li><a class="reference internal" href="#name">7.3.14.4.1.2. <code class="docutils literal notranslate"><span class="pre">name</span></code></a></li>
<li><a class="reference internal" href="#new-name">7.3.14.4.1.3. <code class="docutils literal notranslate"><span class="pre">new_name</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.14.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="column_remove.html"
                        title="前の章へ"><span class="section-number">7.3.13. </span><code class="docutils literal notranslate"><span class="pre">column_remove</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="config_delete.html"
                        title="次の章へ"><span class="section-number">7.3.15. </span><code class="docutils literal notranslate"><span class="pre">config_delete</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="config_delete.html" title="7.3.15. config_delete"
             >次へ</a> |</li>
        <li class="right" >
          <a href="column_remove.html" title="7.3.13. column_remove"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.14. </span><code class="docutils literal notranslate"><span class="pre">column_rename</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>